$INCLUDE: 'C:\FG\INTRFACE.FOR'

      PROGRAM MAIN

      INTEGER*2 ID, MAJOR, MINOR
      INTEGER*2 FG_MEMORY, FG_SVGAINIT

      CHARACTER*35 DESCRIPTION(0:22)
      DATA DESCRIPTION/
     +   'cannot be determined',
     +   'VESA',
     +   'Ahead A',
     +   'Ahead B',
     +   'ATI 18800',
     +   'ATI 18800-1',
     +   'ATI 28800',
     +   'Chips & Technologies 82c451/455/456',
     +   'Chips & Technologies 82c452',
     +   'Chips & Technologies 82c453',
     +   'Genoa 6000 series',
     +   'Oak OTI-067',
     +   'Paradise PVGA1a',
     +   'Paradise WD90C00/WD90C10',
     +   'Paradise WD90C11/WD90C30/WD90C31',
     +   'Trident 8800',
     +   'Trident 8900',
     +   'Tseng ET3000',
     +   'Tseng ET4000',
     +   'Video7',
     +   'Cirrus Logic 5400 series',
     +   'S3',
     +   'Trident 8900B/8900C/9000'/

      ID = FG_SVGAINIT(0)
      CALL FG_SVGAVER (MAJOR, MINOR)
      WRITE(6,1000) DESCRIPTION(ID), FG_MEMORY(), MAJOR, MINOR
      
1000  FORMAT(' SVGA chipset:  ',A,/,
     +       ' video memory:  ',I4,' kilobytes',/,
     +       ' SVGA version:  ',I1,'.',I2.2)

      STOP ' '
      END
